package bensley.andmote;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class Andmote extends Activity {
    
	EditText TXT_IP;
	EditText TXT_PORT;
	static Button BTN_CONNECT;
	static Button BTN_CONTROL;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        TXT_IP = (EditText)this.findViewById(R.id.txtIP);
        TXT_PORT = (EditText)this.findViewById(R.id.txtPort);

        BTN_CONNECT = (Button)this.findViewById(R.id.btnConnect);
        BTN_CONNECT.setOnClickListener(new Button.OnClickListener() {public void onClick(View v) {connect();} });
        BTN_CONTROL = (Button)this.findViewById(R.id.btnControl);
        BTN_CONTROL.setOnClickListener(new Button.OnClickListener() {public void onClick(View v) {control();} });
        
        // Check if we are already connected in case the app is being 'resumed'
        if(ClientSocket.bolEstablished) {
        	BTN_CONNECT.setText(R.string.strDisconnect);
        } else {
        	BTN_CONNECT.setText(R.string.strConnect);
        }
    }

    public void connect(){
    // This method is called when the "Connect" button calls its onClick method;
    	if(BTN_CONNECT.getText().equals(getString(R.string.strConnect))){
        	// Using our ClientSocket class, call its "sckConnect" method to connect to the supplied IP & port
        	ClientSocket.strServerIP = TXT_IP.getText().toString();
        	ClientSocket.intServerPort = Integer.parseInt(TXT_PORT.getText().toString());
        	BTN_CONNECT.setText(R.string.strDisconnect);
        	// Call the control() method to start our InputControl under a new intent
            control();
    	}else if(BTN_CONNECT.getText().equals(getString(R.string.strDisconnect))){
        	// Call the disconnect method on our socket class
    		Input.CSDisconnect();
    		BTN_CONNECT.setText(R.string.strConnect);
    	}
    }
    
    public void control(){
    // This method takes us back to the control screen
    	// Make sure we are connected otherwise what are we going to be controlling?
        	// Create a new intent to take us to the input screen (so we can control the server) and start it as a new activity
    		Intent myIntent = new Intent(Andmote.this, Input.class);
    		Andmote.this.startActivity(myIntent);
    }
    
}
