package bensley.andmote;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.EditText;

public class Input extends Activity
{
	InputControl InputControl;
	static ClientSocket CS;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // If this intent has been launch but the connection already exists we don't want to make it again!
        if(!ClientSocket.bolEstablished) {
        	CS = new ClientSocket();
        	CS.start();
        }
        // Create an interface with our input control class
        InputControl = new InputControl(this);
        // Then expand the current view to use the input control class
        setContentView(InputControl);
        // Parse focus to it so we can capture the use input through the onTouch and Listener methods
        InputControl.requestFocus();
    }
    
    public boolean onCreateOptionsMenu(Menu menu){
    	// Add some menu items, probably should be done in XML....I'm Mr Lazy though
    	menu.add(0,0,0,"Right Click");
    	menu.add(0,1,0,"Task Manager");
    	menu.add(0,2,0,"Run");
    	return true;
    }
    
    public boolean onOptionsItemSelected (MenuItem item){
    	// In the event of each menu item selection, we re simply parsing a string to send of the TCP socket and calling a method
    	// which in turns notifies the worker thread to wake up
    	switch (item.getItemId()){
    		case 0:
    			ClientSocket.strTCPData = "rightclick";
    			CSNotify();
    		return true;
    		case 1:
    			ClientSocket.strTCPData = "taskmgr";
        		CSNotify();
    		return true;
    		case 2:
    			// Set an EditText view to get user input 
    			final EditText TXT_CMD = new EditText(this);
    			new AlertDialog.Builder(Input.this)
    		    .setTitle("Enter Command:")
    		    .setView(TXT_CMD)
    		    .setPositiveButton("Execute", new DialogInterface.OnClickListener() {
    		        public void onClick(DialogInterface dialog, int whichButton) {
    		            ClientSocket.strTCPData = "cmd " + String.valueOf(TXT_CMD.getText());
    	        		CSNotify();
    		        }
    		    }).show();
    		return true;
    	}
    	return false;
    }
    
    public static void CSNotify() {
    	ClientSocket.bolNewData = true;
		synchronized (CS) {
			CS.notify();
		}
    }
    
    public static void CSDisconnect () {
    	CS.Disconnect();
    }

}
